
Foreman - Feature #8312

As an provisioner, I would like the ability to supply a FQDN for the BMC address instead of an IP.

11/06/2014 07:30 PM - larry campbell

Status: Resolved   

Priority: Normal   

Assignee:    

Category: BMC   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, the BMC adapter type requires a MAC address and IP Address when added to a host.  I would like to be able to supply a

FQDN hostname instead, and not have to supply the MAC.  I'm using Dell servers with iDRAC, and in our current provisioning

workflow we have the iDRAC register itself with DNS and static IP on a separate OOB network.

In this scenario, the MAC is useless to Foreman, and also the IP Address is useless because there are times when the IP Address

may be changed (at which point, the DRAC would re-register the same A Record with a different IP Address).

https://groups.google.com/forum/?fromgroups#!topic/foreman-users/fp2QNnpWEZA

Related issues:

Related to Foreman - Tracker #2409: Networking New

History

#1 - 11/07/2014 06:30 AM - Dominic Cleal

- translation missing: en.field_release deleted (27)

#2 - 11/07/2014 06:31 AM - Dominic Cleal

- Related to Tracker #2409: Networking added

#3 - 03/05/2015 09:25 AM - Marek Hulán

- Status changed from New to Need more information

I think this was fixed in Foreman 1.7 where you have option to make BMC interface unmanaged (managed checkbox) which does not require you to

input IP nor MAC. Could you confirm, it works for you?

#4 - 03/05/2015 10:31 AM - Dominic Cleal

- Status changed from Need more information to Feedback

#5 - 05/17/2017 10:24 AM - Anonymous

- Status changed from Feedback to Resolved

no reaction, closing
